fpc (3.2.2+dfsg-46) unstable; urgency=medium

  * Removed helper programs that are useful only to build compiler.
    These programs are not even usable outside the compiler sources folder.
    (Closes: Bug#1095306)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 08 Feb 2025 21:45:34 +0100

fpc (3.2.2+dfsg-45) unstable; urgency=medium

  * Fixed hardening configuration for aarch64 architecture.
  * Updated DEP12 upstream metadata.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Thu, 06 Feb 2025 20:02:48 +0100

fpc (3.2.2+dfsg-44) unstable; urgency=medium

  * Enabled hardening for armhf architectures.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 04 Feb 2025 17:29:14 +0100

fpc (3.2.2+dfsg-43) unstable; urgency=medium

  * Fixed path of hardening configuration file.
  * Removed Lintian overrides that are no more used.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 03 Feb 2025 00:18:40 +0100

fpc (3.2.2+dfsg-42) unstable; urgency=medium

  * Fixed build of arch all packages.
  * Fixed dependencies of fp-utils package and reduced build dependencies.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 02 Feb 2025 19:31:30 +0100

fpc (3.2.2+dfsg-41) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

  [ Abou Al Montacir ]
  * Reformatted Catalan translation file.
  * Enforce coherence between debian/control and debian/control.in files.
  * Replaced legacy debhelper option (-s) by new one (-a).
  * Fixed files encoding
  * Replaced direct parsing of changelog by function for dpkg/pkf-info.mk.
  * Added FPC configuration file to support hardening.
    Hardened program needs to be compiled using `fpc @hardening progname`.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 02 Feb 2025 14:50:09 +0100

fpc (3.2.2+dfsg-40) unstable; urgency=medium

  * Fixed build on i386 architecture.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 19 Jan 2025 14:47:51 +0100

fpc (3.2.2+dfsg-39) unstable; urgency=medium

  * Allow installing libffi interfacing units on all architectures.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 19 Jan 2025 13:54:20 +0100

fpc (3.2.2+dfsg-38) unstable; urgency=medium

  * Fixed warning about depreciated feature --list-missing in dh_install.
  * Removed dependency of fp-utils on fpc-source as it does not make sense.
  * Fixed variable name in fpc-depends.
  * Installed fp-units-rtl package examples.
  * Remove files that are not to be installed.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 19 Jan 2025 13:02:34 +0100

fpc (3.2.2+dfsg-37) unstable; urgency=medium

  * Fixed build of architecture independent packages on sid.
  * Added support for ${fpc:Static-Built-using} in fpc-depnds.
    (Closes: Bug#997948)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 19 Jan 2025 00:05:12 +0100

fpc (3.2.2+dfsg-36) unstable; urgency=medium

  * Fixed default value of FPCDIR for ppc64el.
    This should fix build issues of Castle Game Engine on that target.
  * Bumped standard version to 4.7.0.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 18 Jan 2025 13:58:26 +0100

fpc (3.2.2+dfsg-35~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 05 Jan 2025 19:34:18 +0100

fpc (3.2.2+dfsg-35) unstable; urgency=medium

  * Fixed location of third party fp-units packages configuration file.
    Generally, the configuration file is identical for all architectures.
    It does not make sense to have a different file per architecture
    especially that the configuration file supports conditional sections.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 05 Jan 2025 19:25:14 +0100

fpc (3.2.2+dfsg-34~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 17 Nov 2024 21:23:45 +0100

fpc (3.2.2+dfsg-34) unstable; urgency=medium

  * Added Content-Type to prevent msgfmt crash.
    Thanks to Peter Blackman <peter@pblackman.plus.com> (Closes: Bug#1074706)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 13 Jul 2024 17:35:36 +0200

fpc (3.2.2+dfsg-33) unstable; urgency=medium

  * Fixed typo in package description and updated debhelper version.
    (Closes: Bug#1069157)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 08 Jun 2024 00:47:33 +0200

fpc (3.2.2+dfsg-32~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 05 Jan 2024 09:45:26 +0100

fpc (3.2.2+dfsg-32~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 05 Jan 2024 09:36:17 +0100

fpc (3.2.2+dfsg-32) unstable; urgency=medium

  * Fixed typo in man file name.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 05 Jan 2024 08:40:08 +0100

fpc (3.2.2+dfsg-31) unstable; urgency=medium

  * Removed fpcmkcfg man page from fp-utils as it is already shipped by
    fp-units-rtl. (Closes: Bug#1059950)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Thu, 04 Jan 2024 15:54:25 +0100

fpc (3.2.2+dfsg-30) unstable; urgency=medium

  * Updated timestamps file.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Wed, 03 Jan 2024 16:38:42 +0100

fpc (3.2.2+dfsg-29) unstable; urgency=medium

  * Fixed lintian warning about missing man pages.
  * Implement support for SPARC 64-bit in fpcres.
    Lazarus build fails on sparc64 due to missing support of this
    architecture in fpcres tool. This patch backports the support to
    version 3.2.2.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Wed, 03 Jan 2024 16:16:21 +0100

fpc (3.2.2+dfsg-28) unstable; urgency=medium

  * Reverted changes in fp-utils causing upgrade problems. (Closes: Bug#1059772)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 01 Jan 2024 15:28:49 +0100

fpc (3.2.2+dfsg-27) unstable; urgency=medium

  * Source upload after fixing build issue on sid.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 30 Dec 2023 18:35:30 +0100

fpc (3.2.2+dfsg-26) unstable; urgency=medium

  * Binary upload to fix build issue on sid.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 30 Dec 2023 18:26:09 +0100

fpc (3.2.2+dfsg-25) unstable; urgency=medium

  * Fixed build issue of arch:all packages.
    Manual pages are not needed to be built for arch:all packages.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 29 Dec 2023 21:36:10 +0100

fpc (3.2.2+dfsg-24) unstable; urgency=medium

  * Fixed lintian warning about dependency on legacy package.
    Packages libgl-dev superseded libgl1-measa-dev package.
  * Fixed lintian warning about missing manual pages.
    Used help2man to create missing manual pages.
  * Fixed lintian warning about dh-exec script not using any dh-exec featre.
    The script `fp-utils.install` does not need to be executable.
  * Fixed lintian warning about outdated debhelper version.
  * Fixed lintian warning about missing manual page.
    Used `hlep2man` to produce manual page for the tool named
    `${arch}-fpcmkcfg-${version}` distributed in `fp-units-rtl` package.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 29 Dec 2023 19:18:37 +0100

fpc (3.2.2+dfsg-23) unstable; urgency=medium

  * Fixed typo in package description. (Closes: Bug#1055903)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 18 Dec 2023 23:01:08 +0100

fpc (3.2.2+dfsg-22) unstable; urgency=medium

  [ Graham Inggs ]
  * Pass TEST_CFLAGS=-fno-stack-protector when creating C test objects

  [ Abou Al Montacir ]
  * Fixed clean target. (Closes: Bug#1044623)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 04 Sep 2023 22:43:35 +0200

fpc (3.2.2+dfsg-21) unstable; urgency=medium

  * Removed unused patch integrated by upstream.
  * Fixed Lintian errors and warnings override and removed unused ones.
  * Fixed Lazarus FTBFS on Sparc64 architecture.
    Thanks to Pierre Muller <pierre@freepascal.org>
  * Fixed cross compilation by using the right (build architecture) fpcmake.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 17 Jun 2023 17:47:26 +0200

fpc (3.2.2+dfsg-20) unstable; urgency=medium

  * Fixed compiler internal error 2003042401 on mipsel.
    This error occurs when compiling Lazarus  on mipsel architecture.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Thu, 30 Mar 2023 21:31:30 +0200

fpc (3.2.2+dfsg-19) unstable; urgency=medium

  * Fixed missing crtbeginS.o on mipsel architecture.
    Thanks to Peter Blackman<peter@pblackman.plus.com>

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 17 Mar 2023 13:45:28 +0100

fpc (3.2.2+dfsg-18) unstable; urgency=medium

  * Revert "Removed strict dependency on GKT2 libraries."
    This readds dependency on libgtk2.0-dev. (Closes: Bug#1026719)
  * Fixed lintian overrides.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 07 Jan 2023 13:07:32 +0100

fpc (3.2.2+dfsg-17) unstable; urgency=medium

  * Removed some lintian errors and warnings.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 27 Nov 2022 20:50:54 +0100

fpc (3.2.2+dfsg-16) unstable; urgency=medium

  * Removed strict dependency on GKT2 libraries. (Closes: Bug#967348)
  * Packaged new units and executable programs that were missing until now.
    (Closes: Bug#1016914)
  * Updated lintian overrides file to ignore debian/source/timestamps.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 19 Nov 2022 18:35:07 +0100

fpc (3.2.2+dfsg-15) unstable; urgency=medium

  * Team upload
  * As per upstream issue #39542, regressions in
    webtbs/tw9306a and webtbs/tw9306b are acceptable

 -- Graham Inggs <ginggs@debian.org>  Sat, 20 Aug 2022 12:31:18 +0000

fpc (3.2.2+dfsg-14) unstable; urgency=medium

  * Team upload
  * Add patch from Fedora to fix linking errors on ppc64el
  * Add patch from Fedora to fix pas2jni failing to run properly
  * Filter -ffat-lto-objects from deb-build-fpc.cfg to avoid
    '-f may not be used without -shared' link error
    (Closes: #1015407)

 -- Graham Inggs <ginggs@debian.org>  Tue, 16 Aug 2022 10:47:13 +0000

fpc (3.2.2+dfsg-13) unstable; urgency=medium

  [ Paul Gevers ]
  * fix-samplecfg-tool.patch: add missing backtick.
  * tests: update references for glibc 2.34

  [ Graham Inggs ]
  * Update glibc2.34.patch for powerpc, mips* and m68k

 -- Paul Gevers <elbrus@debian.org>  Sat, 13 Aug 2022 20:26:50 +0200

fpc (3.2.2+dfsg-12) unstable; urgency=medium

  * Add glibc2.34.patch to adjust startup code for glibc2.34 (Closes:
    #1016556)

 -- Paul Gevers <elbrus@debian.org>  Wed, 10 Aug 2022 07:42:49 +0200

fpc (3.2.2+dfsg-11) unstable; urgency=medium

  * Moved fpcmkcfg tool from fp-compiler to fp-units-rtl package.
    This is required in order to generate fp IDE configuration files when
    the fp-ide is installed without fp-compiler package.
  * Generate fp IDE configuration file in /etc by post install script.
  * Fixed IDE configuration files path list. (Closes: Bug#1011318)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Thu, 26 May 2022 18:47:05 +0200

fpc (3.2.2+dfsg-10) unstable; urgency=medium

  * Added a trigger to detect GCC version change and updated configuration.
    (Closes: Bug#978040)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 22 May 2022 13:57:24 +0200

fpc (3.2.2+dfsg-9~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 21 Feb 2022 08:44:15 +0100

fpc (3.2.2+dfsg-9) unstable; urgency=medium

  * Upstream patch to fix FPU related internal compiler error on ppc64el.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 19 Feb 2022 10:42:00 +0100

fpc (3.2.2+dfsg-8~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 22 Jan 2022 19:00:56 +0100

fpc (3.2.2+dfsg-8) unstable; urgency=medium

  * Fixed upstream name and web address in copyright file.
  * Removed redundant files files from copyright file.
  * Removed already applied patches. Enabled one that was disabled by error.
  * Fixed spell error in copyright file.
  * Removed redundant lintian override rule.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 22 Jan 2022 16:32:26 +0100

fpc (3.2.2+dfsg-7) unstable; urgency=medium

  * Removed lintian warning about unknown file in Debian source sub folder.
    Thanks to Peter Blackman<peter@pblackman.plus.com>
  * Removed lintian warnings about superfluous file pattern in copyright file.
    Thanks to Peter Blackman<peter@pblackman.plus.com>
  * Bumped compat level to 11 and standards version to 4.6.0.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 21 Jan 2022 00:07:15 +0100

fpc (3.2.2+dfsg-6) unstable; urgency=medium

  * Revert "Updated timestamps for newly modified files."
  * Revert "Imported upstream patch to fix FPU related internal compiler error."
    (Closes: Bug#1003627)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Thu, 13 Jan 2022 21:54:24 +0100

fpc (3.2.2+dfsg-5) unstable; urgency=medium

  * Imported upstream patch to fix FPU related internal compiler error.
  * Updated timestamps for newly modified files.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Thu, 30 Dec 2021 15:08:07 +0100

fpc (3.2.2+dfsg-4) unstable; urgency=medium

  * Updated list of expected failed tests.
    Most are testes used to fail and do not fail anymore.
    Some of them are new tests added by this release (i386:+1, ppc64:+1).
    A new generics related test is also failing on non x86_64 platforms.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 30 Oct 2021 14:46:26 +0200

fpc (3.2.2+dfsg-3) unstable; urgency=medium

  * New upstream version 3.2.2+dfsg into unstable.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 23 Oct 2021 18:53:06 +0200

fpc (3.2.2+dfsg-2) experimental; urgency=medium

  * New upstream version 3.2.2+dfsg

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 23 Oct 2021 16:25:32 +0200

fpc (3.2.2+dfsg-1) experimental; urgency=low

  * Fixed watch file.
  * New upstream version 3.2.2+dfsg
  * Updated patches with regards to issues that were fixed in new release.
  * Updated patches with regards to new upstream release changes.
  * Updated IDE source files path.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 19 Jun 2021 12:43:44 +0200

fpc (3.2.0+dfsg-13) unstable; urgency=medium

  * autopkgtest: update references for current state in testing
  * autopkgtest: update references for glibc 2.32
  * autopkgtest: add reference file for ppc64el

 -- Paul Gevers <elbrus@debian.org>  Thu, 16 Sep 2021 15:41:58 +0200

fpc (3.2.0+dfsg-12) unstable; urgency=medium

  [ Graham Inggs ]
  * Drop unnecessary build dependency on binutils

  [ Abou Al Montacir ]
  * Disable FPU inlining on m68k.
    Thanks to John Paul Adrian Glaubitz (Closes: Bug#980841)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 25 Jan 2021 22:36:28 +0100

fpc (3.2.0+dfsg-11) bullseye; urgency=medium

  * Add missing backslash in fp-compiler.postinst (Closes: #979850)
  * Upload to bullseye since fp-compiler is not installable in unstable

 -- Graham Inggs <ginggs@debian.org>  Tue, 12 Jan 2021 11:45:42 +0000

fpc (3.2.0+dfsg-9) unstable; urgency=medium

  * Added unversioned links to fpcmkcfg and samplecfg tools.
    Thanks to Сергей Фёдоров (Closes: Bug#975351)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 03 Jan 2021 17:27:29 +0100

fpc (3.2.0+dfsg-8) unstable; urgency=medium

  * Further updates to list of expected test failures on arm32/arm64
    + add ../packages/rtl-objpas/tests/testrunner.rtlobjpas on arm32/arm64
    + add webtbs/tw22992 on arm32
    + add webtbs/tw23185 on arm32

 -- Peter Michael Green <plugwash@debian.org>  Sat, 22 Aug 2020 13:17:07 +0000

fpc (3.2.0+dfsg-7) unstable; urgency=medium

  * Update list of expected test failures on
    arm32/arm64/i386
    + add test/cg/tm128 on arm32/i386
    + add test/tarray15 on arm32/arm64/i386
    + add test/tinlrange1 on arm32
    + add test/tinlrange3 on arm32
    + add test/tlib1b on arm32
    + add test/tlibrary2 on arm32
    + add test/tweaklib2 on arm32
    + add tbs/tb0643 on arm32/arm64
    + add webtbs/tw0876 on i386
    + add webtbs/tw12038 on arm32/arm64/i386
    + add webtbs/tw12704b on arm32
    + add webtbs/tw13628b on arm32
    + add webtbs/tw14958b on arm32
    + add webtbs/tw16263b on arm32
    + add webtbs/tw16949b on arm32
    + add webtbs/tw17904 on arm32/arm64/i386
    + add webtbs/tw22744b on arm32/arm64/i386
    + add webtbs/tw22992 on arm32
    + add webtbs/tw23185 on arm32
    + add webtbs/tw26481 on arm32/arm64/i386
    + add webtbs/tw2886 on arm32/arm64/i386
    + add webtbs/tw32671 on i386
    + add webtbs/tw36179 on arm32/arm64
    + add webtbs/tw3964b on arm32
    + add webtbs/tw6822c on arm32
    + add webtbs/tw7838b on arm32
    + add webtbs/tw8730c on arm32
    + add webtbs/tw8730d on arm32
    + add webtbs/tw9089c on arm32
    + add webtbs/tw9089d on arm32
    + add webtbf/tw18225b on i386
    + add webtbf/tw25862 on arm32/arm64

 -- Peter Michael Green <plugwash@debian.org>  Fri, 21 Aug 2020 11:39:19 +0000

fpc (3.2.0+dfsg-6) unstable; urgency=medium

  * Make autopkgtest more verbose.
  * Fix issue with autopkgtest trying to use a packaged fcl with a locally
    built rtl by cleaning up the rtl that is built during makefile generation
    (Closes: 968245)
  * Fix version lists in utests.pp
  * Make autopkgtest use unified diff to report changes in failures.
  * Update list of expected test failures on amd64
    + add test/tarray15
    + add webtbs/tw12038
    + add webtbs/tw17904
    + add webtbs/tw22744b
    + add webtbf/tw25862
    + add webtbs/tw26481
    + add webtbs/tw2886
    + add webtbs/tw29957

 -- Peter Michael Green <plugwash@debian.org>  Tue, 18 Aug 2020 19:53:55 +0000

fpc (3.2.0+dfsg-5) unstable; urgency=medium

  * Disable optimizations when building for m68k.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 07 Aug 2020 17:24:16 +0200

fpc (3.2.0+dfsg-4) experimental; urgency=medium

  * Fixed liking with libc when PIC is enabled (x86_64 specific).

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 04 Aug 2020 12:50:43 +0200

fpc (3.2.0+dfsg-3) experimental; urgency=medium

  * Fixed default value of units global dir based on base installation dir.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 03 Aug 2020 23:23:02 +0200

fpc (3.2.0+dfsg-2) experimental; urgency=medium

  * Fixed FPCDIR default value detection after FileExist behavior change.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 02 Aug 2020 19:55:39 +0200

fpc (3.2.0+dfsg-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
    Fixes: lintian: file-contains-trailing-whitespace
    See-also: https://lintian.debian.org/tags/file-contains-trailing-whitespace.html
  * Use secure copyright file specification URI.
    Fixes: lintian: insecure-copyright-format-uri
    See-also: https://lintian.debian.org/tags/insecure-copyright-format-uri.html
  * Wrap long lines in changelog entries: 3.0.0+dfsg-8, 3.0.0+dfsg-4, 2.6.2-2.
    Fixes: lintian: debian-changelog-line-too-long
    See-also: https://lintian.debian.org/tags/debian-changelog-line-too-long.html
  * Use secure URI in debian/watch.
    Fixes: lintian: debian-watch-uses-insecure-uri
    See-also: https://lintian.debian.org/tags/debian-watch-uses-insecure-uri.html
  * Set upstream metadata fields: Archive, Repository.
    Fixes: lintian: upstream-metadata-file-is-missing
    See-also: https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html
    Fixes: lintian: upstream-metadata-missing-repository
    See-also: https://lintian.debian.org/tags/upstream-metadata-missing-repository.html
  * Fix day-of-week for changelog entries 2.6.2-1, 2.6.0-6, 2.6.0-1, 2.4.2-3, 2.4.2-1, 2.4.0-3, 2.4.0-2, 2.2.4-5, 2.2.4-4, 2.2.2-6, 2.2.2-5, 2.0.4-rc1, 1.0.4+1.0.6cvs20020228-1, 1.0.1-0.
    Fixes: lintian: debian-changelog-has-wrong-day-of-week
    See-also: https://lintian.debian.org/tags/debian-changelog-has-wrong-day-of-week.html

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 06 Jun 2020 00:27:44 +0200

fpc (3.2.0~rc1+dfsg-3) experimental; urgency=medium

  * Support building on ppc64el.
    Thanks to John Paul Adrian Glaubitz (Closes: #963623)
  * Fix FTBFS on m68k

 -- Paul Gevers <elbrus@debian.org>  Thu, 25 Jun 2020 17:19:22 +0200

fpc (3.2.0~rc1+dfsg-2) experimental; urgency=medium

  [ Paul Gevers ]
  * Drop fpcsrc/.gitignore, also from future upstream sources
  * Don't install libffi on non-amd64 systems as it's not built there

  [ John Paul Adrian Glaubitz ]
  * Enable building on sparc64

 -- Paul Gevers <elbrus@debian.org>  Tue, 23 Jun 2020 21:44:29 +0200

fpc (3.2.0~rc1+dfsg-1) experimental; urgency=medium

  [ Paul Gevers ]
  * New upstream release
    - refresh and update patches
    - refresh debian/control
    - recreate d/s/timestamps because of new upstream

  [ Abou Al Montacir ]
  * Fixed compilation of msg2inc required to build documentation.
  * Fixed compilation of fpcmake to be done only once.
  * Add new 3.2.0 units to their respect fp-unit Debian packages.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Thu, 11 Jun 2020 20:47:41 +0200

fpc (3.0.4+dfsg-23) unstable; urgency=medium

  * Fixed a bug causing fpdoc to fail silently.
  * Fixed documentation causing fpdoc to crash. (Closes: Bug#939414)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 25 Nov 2019 22:51:22 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog fp-units-rtl-3.2.2`.
